### Hierarchy

- unknown
  - SetAutoSwitchReply

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetAutoSwitchReply(): SetAutoSwitchReply

- Inherited from jspb.Message.constructor

  #### Returns SetAutoSwitchReply

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1168

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): SetAutoSwitchReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1169

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetAutoSwitchReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetAutoSwitchReply

- - Defined in src/protobuf/grpc_pb.d.ts:1172

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetAutoSwitchReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetAutoSwitchReply, reader: BinaryReader): SetAutoSwitchReply

- - Defined in src/protobuf/grpc_pb.d.ts:1173

  #### Parameters

  - ##### message: SetAutoSwitchReply

  - ##### reader: BinaryReader

  #### Returns SetAutoSwitchReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetAutoSwitchReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1171

  #### Parameters

  - ##### message: SetAutoSwitchReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetAutoSwitchReply ): SetAutoSwitchReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1170

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetAutoSwitchReply

  #### Returns SetAutoSwitchReply . AsObject

Generated using TypeDoc